# Uses of Enum Class
javafx.print.Printer.MarginType

Packages that use Printer.MarginType
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of Printer.MarginType in javafx.print

Methods in javafx.print that return Printer.MarginType
Modifier and Type
Method
Description
`static Printer.MarginType`
Printer.MarginType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Printer.MarginType[]`
Printer.MarginType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print with parameters of type Printer.MarginType
Modifier and Type
Method
Description
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, Printer.MarginType mType)`
Obtain a new PageLayout instance for this printer using the specified parameters.